iCalendlyDeveloper Docs
Bookings - attendees

POSTAdd an attendee to a booking

Adds an attendee to a seated booking.

POST/v2/bookings/{bookingUid}/attendees

Request Body

application/jsonRequired
nameRequiredstring

The name of the attendee.

timeZoneRequiredstring

The time zone of the attendee.

phoneNumberstring

The phone number of the attendee in international format.

languagestring

The preferred language of the attendee. Used for booking confirmation.

Default: "en"Value in: "ar" | "ca" | "de" | "es" | "eu" | "he" | "id" | "ja" | "lv" | "pl" | "ro" | "sr" | "th" | "vi" | "az" | "cs" | "el" | "es-419" | "fi" | "hr" | "it" | "km" | "nl" | "pt" | "ru" | "sv" | "tr" | "zh-CN" | "bg" | "da" | "en" | "et" | "fr" | "hu" | "iw" | "ko" | "no" | "pt-BR" | "sk" | "ta" | "uk" | "zh-TW" | "bn"
emailRequiredstring

The email of the attendee.

Path Parameters

bookingUidRequiredstring

Header Parameters

ical-api-versionRequiredstring

Must be set to 2024-08-13. This header is required as this endpoint does not exist in older API versions.

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X POST "https://example.com/v2/bookings/<string>/attendees" \
  -H "ical-api-version: <string>" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "John Doe",
    "timeZone": "America/New_York",
    "phoneNumber": "+919876543210",
    "language": "it",
    "email": "john.doe@example.com"
  }'

{
  "status": "success",
  "data": {
    "name": "John Doe",
    "email": "john@example.com",
    "displayEmail": "john@example.com",
    "timeZone": "America/New_York",
    "language": "en",
    "absent": false,
    "phoneNumber": "+1234567890",
    "id": 251,
    "bookingId": 313
  }
}